Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.util
Class Config

    java.lang.Object
      ipipan.spejd.util.Config

    public class Config

extends java.lang.Object

Configuration wrapper, containing a set of variables with values.

Field Summary
`java.util.Set<java.lang.String>` | `acronymsAfter`
`java.util.Set<java.lang.String>` | `acronymsBefore`
`boolean` | `discardDeleted`
`java.lang.String` | `inputEncoding`
`java.util.regex.Pattern` | `inputFiles`
`java.lang.String` | `inputType`
`java.lang.String` | `lexDictionaries`
`java.lang.String` | `logDir`
`char` | `matchStrategy`
`int` | `maxThreads`
`boolean` | `nullAgreement`
`int` | `ogonkifyMaxLength`
`int` | `ogonkifyMinLength`
`char` | `ogonkifyStrategy`
`java.util.Map<java.lang.String,java.lang.String[]>` | `ogonkifySubstitutions`
`java.lang.String` | `outputFile`
`java.lang.String` | `outputSuffix`
`int` | `reportInterval`
`java.lang.String` | `rulesFile`
`Tagset` | `tagset`

Constructor Summary
`Config(java.lang.String configFilename, java.lang.String[] args)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tagset

    public Tagset tagset

### rulesFile

    public java.lang.String rulesFile

### logDir

    public java.lang.String logDir

### outputFile

    public java.lang.String outputFile

### matchStrategy

    public char matchStrategy

### nullAgreement

    public boolean nullAgreement

### discardDeleted

    public boolean discardDeleted

### reportInterval

    public int reportInterval

### inputType

    public java.lang.String inputType

### inputEncoding

    public java.lang.String inputEncoding

### inputFiles

    public java.util.regex.Pattern inputFiles

### lexDictionaries

    public java.lang.String lexDictionaries

### outputSuffix

    public java.lang.String outputSuffix

### maxThreads

    public int maxThreads

### acronymsAfter

    public java.util.Set<java.lang.String> acronymsAfter

### acronymsBefore

    public java.util.Set<java.lang.String> acronymsBefore

### ogonkifySubstitutions

    public java.util.Map<java.lang.String,java.lang.String[]> ogonkifySubstitutions

### ogonkifyStrategy

    public char ogonkifyStrategy

### ogonkifyMinLength

    public int ogonkifyMinLength

### ogonkifyMaxLength

    public int ogonkifyMaxLength

Constructor Detail

### Config

    public Config(java.lang.String configFilename,
                  java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD